SymetryML Documentation
Data sources

Get data source information

Get information about a data source.

GET
/{user}/dss/{dsName}

Get information about a data source.

Authorization

SymetryMLAuth
AuthorizationBearer <token>

HMAC-SHA256 signature-based authentication: requests are signed with your secret key and sent with the Customer-ID, Sym-date, Authorization, Content-MD5 and sym-version headers. See SymetryML REST API Security for the signature algorithm and a complete example.

In: header

Path Parameters

user*string

User/Customer identifier

dsName*string

Data source name

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/c1/dss/nbra_ds_sftp_iris"

values.dsinfo is base64-encoded encrypted content. It is an encrypted DSInfo object. The encryption is performed outside the API, using a symmetric key known to both client and server. Decrypted equivalent of values.dsinfo:

{  "name":"s3Ds",  "type":"s3",  "info":{      "csv_entry_separator":",",      "csv_quote_character":"\"",      "csv_strict_quotes":false,      "csv_header_missing":false,      "path":"irisFiles/Iris_rtlm.csv",      "s3accessKey":"XXXXXXXXXX",      "s3secretKey":"XXXXXXXXXX",      "s3bucket":"rtlm-dev",      "s3marker":"",      "s3delimiter":"",      "read.line.offset":0,      "read.line.total":-1  }}
{  "statusCode": 200,  "statusString": "OK",  "values": {    "dsinfo": "/oZVLWVA2VczyB572ZSMl3bhwMGlCN1Eh4VYYAsDQQqyI8vCCexofRRfTawYUFGAEsncCKIiWJ/OXilhTpQQBDknw95iqMbsHtM7mvguzkJK8M9HKmzDvuTg1cGQEsdgcTRDOP4Zm8OxUOeJJNB6AT6oR2muP43D6iKmQpguJuQOgfxGJPdUxH4EI0=="  }}
{  "statusCode": 401,  "statusString": "Invalid User",  "values": {}}
{  "statusCode": 500,  "statusString": "Generic Exception [java.lang.NullPointerException: Cannot invoke \"com.rtlm.json.DSInfo.getEncryptedData(String)\" because \"info\" is null]",  "values": {}}